version 0.3.1
[expresskeys.git] / Makefile.in
1 # Makefile.in generated by automake 1.9.5 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 srcdir = @srcdir@
17 top_srcdir = @top_srcdir@
18 VPATH = @srcdir@
19 pkgdatadir = $(datadir)/@PACKAGE@
20 pkglibdir = $(libdir)/@PACKAGE@
21 pkgincludedir = $(includedir)/@PACKAGE@
22 top_builddir = .
23 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
24 INSTALL = @INSTALL@
25 install_sh_DATA = $(install_sh) -c -m 644
26 install_sh_PROGRAM = $(install_sh) -c
27 install_sh_SCRIPT = $(install_sh) -c
28 INSTALL_HEADER = $(INSTALL_DATA)
29 transform = $(program_transform_name)
30 NORMAL_INSTALL = :
31 PRE_INSTALL = :
32 POST_INSTALL = :
33 NORMAL_UNINSTALL = :
34 PRE_UNINSTALL = :
35 POST_UNINSTALL = :
36 subdir = .
37 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
38         $(srcdir)/Makefile.in $(srcdir)/config.h.in \
39         $(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
40         TODO depcomp install-sh missing
41 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
42 am__aclocal_m4_deps = $(top_srcdir)/configure.in
43 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
44         $(ACLOCAL_M4)
45 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
46  configure.lineno configure.status.lineno
47 mkinstalldirs = $(install_sh) -d
48 CONFIG_HEADER = config.h
49 CONFIG_CLEAN_FILES =
50 SOURCES =
51 DIST_SOURCES =
52 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
53         html-recursive info-recursive install-data-recursive \
54         install-exec-recursive install-info-recursive \
55         install-recursive installcheck-recursive installdirs-recursive \
56         pdf-recursive ps-recursive uninstall-info-recursive \
57         uninstall-recursive
58 ETAGS = etags
59 CTAGS = ctags
60 DIST_SUBDIRS = $(SUBDIRS)
61 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
62 distdir = $(PACKAGE)-$(VERSION)
63 top_distdir = $(distdir)
64 am__remove_distdir = \
65   { test ! -d $(distdir) \
66     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
67          && rm -fr $(distdir); }; }
68 DIST_ARCHIVES = $(distdir).tar.gz
69 GZIP_ENV = --best
70 distuninstallcheck_listfiles = find . -type f -print
71 distcleancheck_listfiles = find . -type f -print
72 ACLOCAL = @ACLOCAL@
73 AMDEP_FALSE = @AMDEP_FALSE@
74 AMDEP_TRUE = @AMDEP_TRUE@
75 AMTAR = @AMTAR@
76 AUTOCONF = @AUTOCONF@
77 AUTOHEADER = @AUTOHEADER@
78 AUTOMAKE = @AUTOMAKE@
79 AWK = @AWK@
80 CC = @CC@
81 CCDEPMODE = @CCDEPMODE@
82 CFLAGS = @CFLAGS@
83 CPP = @CPP@
84 CPPFLAGS = @CPPFLAGS@
85 CYGPATH_W = @CYGPATH_W@
86 DEFS = @DEFS@
87 DEPDIR = @DEPDIR@
88 ECHO_C = @ECHO_C@
89 ECHO_N = @ECHO_N@
90 ECHO_T = @ECHO_T@
91 EGREP = @EGREP@
92 EXEEXT = @EXEEXT@
93 EXPRESSKEYS_INCL = @EXPRESSKEYS_INCL@
94 EXPRESSKEYS_LIBS = @EXPRESSKEYS_LIBS@
95 INSTALL_DATA = @INSTALL_DATA@
96 INSTALL_PROGRAM = @INSTALL_PROGRAM@
97 INSTALL_SCRIPT = @INSTALL_SCRIPT@
98 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
99 LDFLAGS = @LDFLAGS@
100 LIBOBJS = @LIBOBJS@
101 LIBS = @LIBS@
102 LTLIBOBJS = @LTLIBOBJS@
103 MAINT = @MAINT@
104 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
105 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
106 MAKEINFO = @MAKEINFO@
107 OBJEXT = @OBJEXT@
108 PACKAGE = @PACKAGE@
109 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
110 PACKAGE_NAME = @PACKAGE_NAME@
111 PACKAGE_STRING = @PACKAGE_STRING@
112 PACKAGE_TARNAME = @PACKAGE_TARNAME@
113 PACKAGE_VERSION = @PACKAGE_VERSION@
114 PATH_SEPARATOR = @PATH_SEPARATOR@
115 SET_MAKE = @SET_MAKE@
116 SHELL = @SHELL@
117 SRC_DIRS = @SRC_DIRS@
118 STRIP = @STRIP@
119 VERSION = @VERSION@
120 ac_ct_CC = @ac_ct_CC@
121 ac_ct_STRIP = @ac_ct_STRIP@
122 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
123 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
124 am__include = @am__include@
125 am__leading_dot = @am__leading_dot@
126 am__quote = @am__quote@
127 am__tar = @am__tar@
128 am__untar = @am__untar@
129 bindir = @bindir@
130 build_alias = @build_alias@
131 datadir = @datadir@
132 exec_prefix = @exec_prefix@
133 host_alias = @host_alias@
134 includedir = @includedir@
135 infodir = @infodir@
136 install_sh = @install_sh@
137 libdir = @libdir@
138 libexecdir = @libexecdir@
139 localstatedir = @localstatedir@
140 mandir = @mandir@
141 mkdir_p = @mkdir_p@
142 oldincludedir = @oldincludedir@
143 prefix = @prefix@
144 program_transform_name = @program_transform_name@
145 sbindir = @sbindir@
146 sharedstatedir = @sharedstatedir@
147 sysconfdir = @sysconfdir@
148 target_alias = @target_alias@
149 SUBDIRS = @SRC_DIRS@
150 all: config.h
151         $(MAKE) $(AM_MAKEFLAGS) all-recursive
152
153 .SUFFIXES:
154 am--refresh:
155         @:
156 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
157         @for dep in $?; do \
158           case '$(am__configure_deps)' in \
159             *$$dep*) \
160               echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
161               cd $(srcdir) && $(AUTOMAKE) --gnu  \
162                 && exit 0; \
163               exit 1;; \
164           esac; \
165         done; \
166         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
167         cd $(top_srcdir) && \
168           $(AUTOMAKE) --gnu  Makefile
169 .PRECIOUS: Makefile
170 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
171         @case '$?' in \
172           *config.status*) \
173             echo ' $(SHELL) ./config.status'; \
174             $(SHELL) ./config.status;; \
175           *) \
176             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
177             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
178         esac;
179
180 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
181         $(SHELL) ./config.status --recheck
182
183 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
184         cd $(srcdir) && $(AUTOCONF)
185 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
186         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
187
188 config.h: stamp-h1
189         @if test ! -f $@; then \
190           rm -f stamp-h1; \
191           $(MAKE) stamp-h1; \
192         else :; fi
193
194 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
195         @rm -f stamp-h1
196         cd $(top_builddir) && $(SHELL) ./config.status config.h
197 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) 
198         cd $(top_srcdir) && $(AUTOHEADER)
199         rm -f stamp-h1
200         touch $@
201
202 distclean-hdr:
203         -rm -f config.h stamp-h1
204 uninstall-info-am:
205
206 # This directory's subdirectories are mostly independent; you can cd
207 # into them and run `make' without going through this Makefile.
208 # To change the values of `make' variables: instead of editing Makefiles,
209 # (1) if the variable is set in `config.status', edit `config.status'
210 #     (which will cause the Makefiles to be regenerated when you run `make');
211 # (2) otherwise, pass the desired values on the `make' command line.
212 $(RECURSIVE_TARGETS):
213         @failcom='exit 1'; \
214         for f in x $$MAKEFLAGS; do \
215           case $$f in \
216             *=* | --[!k]*);; \
217             *k*) failcom='fail=yes';; \
218           esac; \
219         done; \
220         dot_seen=no; \
221         target=`echo $@ | sed s/-recursive//`; \
222         list='$(SUBDIRS)'; for subdir in $$list; do \
223           echo "Making $$target in $$subdir"; \
224           if test "$$subdir" = "."; then \
225             dot_seen=yes; \
226             local_target="$$target-am"; \
227           else \
228             local_target="$$target"; \
229           fi; \
230           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
231           || eval $$failcom; \
232         done; \
233         if test "$$dot_seen" = "no"; then \
234           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
235         fi; test -z "$$fail"
236
237 mostlyclean-recursive clean-recursive distclean-recursive \
238 maintainer-clean-recursive:
239         @failcom='exit 1'; \
240         for f in x $$MAKEFLAGS; do \
241           case $$f in \
242             *=* | --[!k]*);; \
243             *k*) failcom='fail=yes';; \
244           esac; \
245         done; \
246         dot_seen=no; \
247         case "$@" in \
248           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
249           *) list='$(SUBDIRS)' ;; \
250         esac; \
251         rev=''; for subdir in $$list; do \
252           if test "$$subdir" = "."; then :; else \
253             rev="$$subdir $$rev"; \
254           fi; \
255         done; \
256         rev="$$rev ."; \
257         target=`echo $@ | sed s/-recursive//`; \
258         for subdir in $$rev; do \
259           echo "Making $$target in $$subdir"; \
260           if test "$$subdir" = "."; then \
261             local_target="$$target-am"; \
262           else \
263             local_target="$$target"; \
264           fi; \
265           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
266           || eval $$failcom; \
267         done && test -z "$$fail"
268 tags-recursive:
269         list='$(SUBDIRS)'; for subdir in $$list; do \
270           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
271         done
272 ctags-recursive:
273         list='$(SUBDIRS)'; for subdir in $$list; do \
274           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
275         done
276
277 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
278         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
279         unique=`for i in $$list; do \
280             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
281           done | \
282           $(AWK) '    { files[$$0] = 1; } \
283                END { for (i in files) print i; }'`; \
284         mkid -fID $$unique
285 tags: TAGS
286
287 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
288                 $(TAGS_FILES) $(LISP)
289         tags=; \
290         here=`pwd`; \
291         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
292           include_option=--etags-include; \
293           empty_fix=.; \
294         else \
295           include_option=--include; \
296           empty_fix=; \
297         fi; \
298         list='$(SUBDIRS)'; for subdir in $$list; do \
299           if test "$$subdir" = .; then :; else \
300             test ! -f $$subdir/TAGS || \
301               tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
302           fi; \
303         done; \
304         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
305         unique=`for i in $$list; do \
306             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
307           done | \
308           $(AWK) '    { files[$$0] = 1; } \
309                END { for (i in files) print i; }'`; \
310         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
311           test -n "$$unique" || unique=$$empty_fix; \
312           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
313             $$tags $$unique; \
314         fi
315 ctags: CTAGS
316 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
317                 $(TAGS_FILES) $(LISP)
318         tags=; \
319         here=`pwd`; \
320         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
321         unique=`for i in $$list; do \
322             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
323           done | \
324           $(AWK) '    { files[$$0] = 1; } \
325                END { for (i in files) print i; }'`; \
326         test -z "$(CTAGS_ARGS)$$tags$$unique" \
327           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
328              $$tags $$unique
329
330 GTAGS:
331         here=`$(am__cd) $(top_builddir) && pwd` \
332           && cd $(top_srcdir) \
333           && gtags -i $(GTAGS_ARGS) $$here
334
335 distclean-tags:
336         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
337
338 distdir: $(DISTFILES)
339         $(am__remove_distdir)
340         mkdir $(distdir)
341         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
342         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
343         list='$(DISTFILES)'; for file in $$list; do \
344           case $$file in \
345             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
346             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
347           esac; \
348           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
349           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
350           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
351             dir="/$$dir"; \
352             $(mkdir_p) "$(distdir)$$dir"; \
353           else \
354             dir=''; \
355           fi; \
356           if test -d $$d/$$file; then \
357             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
358               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
359             fi; \
360             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
361           else \
362             test -f $(distdir)/$$file \
363             || cp -p $$d/$$file $(distdir)/$$file \
364             || exit 1; \
365           fi; \
366         done
367         list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
368           if test "$$subdir" = .; then :; else \
369             test -d "$(distdir)/$$subdir" \
370             || $(mkdir_p) "$(distdir)/$$subdir" \
371             || exit 1; \
372             distdir=`$(am__cd) $(distdir) && pwd`; \
373             top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
374             (cd $$subdir && \
375               $(MAKE) $(AM_MAKEFLAGS) \
376                 top_distdir="$$top_distdir" \
377                 distdir="$$distdir/$$subdir" \
378                 distdir) \
379               || exit 1; \
380           fi; \
381         done
382         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
383           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
384           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
385           ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
386         || chmod -R a+r $(distdir)
387 dist-gzip: distdir
388         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
389         $(am__remove_distdir)
390
391 dist-bzip2: distdir
392         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
393         $(am__remove_distdir)
394
395 dist-tarZ: distdir
396         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
397         $(am__remove_distdir)
398
399 dist-shar: distdir
400         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
401         $(am__remove_distdir)
402
403 dist-zip: distdir
404         -rm -f $(distdir).zip
405         zip -rq $(distdir).zip $(distdir)
406         $(am__remove_distdir)
407
408 dist dist-all: distdir
409         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
410         $(am__remove_distdir)
411
412 # This target untars the dist file and tries a VPATH configuration.  Then
413 # it guarantees that the distribution is self-contained by making another
414 # tarfile.
415 distcheck: dist
416         case '$(DIST_ARCHIVES)' in \
417         *.tar.gz*) \
418           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
419         *.tar.bz2*) \
420           bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
421         *.tar.Z*) \
422           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
423         *.shar.gz*) \
424           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
425         *.zip*) \
426           unzip $(distdir).zip ;;\
427         esac
428         chmod -R a-w $(distdir); chmod a+w $(distdir)
429         mkdir $(distdir)/_build
430         mkdir $(distdir)/_inst
431         chmod a-w $(distdir)
432         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
433           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
434           && cd $(distdir)/_build \
435           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
436             $(DISTCHECK_CONFIGURE_FLAGS) \
437           && $(MAKE) $(AM_MAKEFLAGS) \
438           && $(MAKE) $(AM_MAKEFLAGS) dvi \
439           && $(MAKE) $(AM_MAKEFLAGS) check \
440           && $(MAKE) $(AM_MAKEFLAGS) install \
441           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
442           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
443           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
444                 distuninstallcheck \
445           && chmod -R a-w "$$dc_install_base" \
446           && ({ \
447                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
448                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
449                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
450                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
451                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
452               } || { rm -rf "$$dc_destdir"; exit 1; }) \
453           && rm -rf "$$dc_destdir" \
454           && $(MAKE) $(AM_MAKEFLAGS) dist \
455           && rm -rf $(DIST_ARCHIVES) \
456           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
457         $(am__remove_distdir)
458         @(echo "$(distdir) archives ready for distribution: "; \
459           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
460           sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
461 distuninstallcheck:
462         @cd $(distuninstallcheck_dir) \
463         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
464            || { echo "ERROR: files left after uninstall:" ; \
465                 if test -n "$(DESTDIR)"; then \
466                   echo "  (check DESTDIR support)"; \
467                 fi ; \
468                 $(distuninstallcheck_listfiles) ; \
469                 exit 1; } >&2
470 distcleancheck: distclean
471         @if test '$(srcdir)' = . ; then \
472           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
473           exit 1 ; \
474         fi
475         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
476           || { echo "ERROR: files left in build directory after distclean:" ; \
477                $(distcleancheck_listfiles) ; \
478                exit 1; } >&2
479 check-am: all-am
480 check: check-recursive
481 all-am: Makefile config.h
482 installdirs: installdirs-recursive
483 installdirs-am:
484 install: install-recursive
485 install-exec: install-exec-recursive
486 install-data: install-data-recursive
487 uninstall: uninstall-recursive
488
489 install-am: all-am
490         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
491
492 installcheck: installcheck-recursive
493 install-strip:
494         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
495           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
496           `test -z '$(STRIP)' || \
497             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
498 mostlyclean-generic:
499
500 clean-generic:
501
502 distclean-generic:
503         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
504
505 maintainer-clean-generic:
506         @echo "This command is intended for maintainers to use"
507         @echo "it deletes files that may require special tools to rebuild."
508 clean: clean-recursive
509
510 clean-am: clean-generic mostlyclean-am
511
512 distclean: distclean-recursive
513         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
514         -rm -f Makefile
515 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
516
517 dvi: dvi-recursive
518
519 dvi-am:
520
521 html: html-recursive
522
523 info: info-recursive
524
525 info-am:
526
527 install-data-am:
528
529 install-exec-am:
530
531 install-info: install-info-recursive
532
533 install-man:
534
535 installcheck-am:
536
537 maintainer-clean: maintainer-clean-recursive
538         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
539         -rm -rf $(top_srcdir)/autom4te.cache
540         -rm -f Makefile
541 maintainer-clean-am: distclean-am maintainer-clean-generic
542
543 mostlyclean: mostlyclean-recursive
544
545 mostlyclean-am: mostlyclean-generic
546
547 pdf: pdf-recursive
548
549 pdf-am:
550
551 ps: ps-recursive
552
553 ps-am:
554
555 uninstall-am: uninstall-info-am
556
557 uninstall-info: uninstall-info-recursive
558
559 .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
560         check-am clean clean-generic clean-recursive ctags \
561         ctags-recursive dist dist-all dist-bzip2 dist-gzip dist-shar \
562         dist-tarZ dist-zip distcheck distclean distclean-generic \
563         distclean-hdr distclean-recursive distclean-tags \
564         distcleancheck distdir distuninstallcheck dvi dvi-am html \
565         html-am info info-am install install-am install-data \
566         install-data-am install-exec install-exec-am install-info \
567         install-info-am install-man install-strip installcheck \
568         installcheck-am installdirs installdirs-am maintainer-clean \
569         maintainer-clean-generic maintainer-clean-recursive \
570         mostlyclean mostlyclean-generic mostlyclean-recursive pdf \
571         pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
572         uninstall-info-am
573
574 # Tell versions [3.59,3.63) of GNU make to not export all variables.
575 # Otherwise a system limit (for SysV at least) may be exceeded.
576 .NOEXPORT: